Bug 97735 - [GTK] Split SVG from WebCore to work-around make limitation
Summary: [GTK] Split SVG from WebCore to work-around make limitation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Gustavo Noronha (kov)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-26 15:37 PDT by Gustavo Noronha (kov)
Modified: 2012-11-22 13:09 PST (History)
3 users (show)

See Also:


Attachments
Patch (41.11 KB, patch)
2012-09-26 16:01 PDT, Gustavo Noronha (kov)
no flags Details | Formatted Diff | Diff
Rebased patch (39.69 KB, patch)
2012-11-21 09:06 PST, Philippe Normand
cgarcia: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo Noronha (kov) 2012-09-26 15:37:55 PDT
[GTK] Split SVG from WebCore to work-around make limitation
Comment 1 Gustavo Noronha (kov) 2012-09-26 16:01:56 PDT
Created attachment 165889 [details]
Patch
Comment 2 Carlos Garcia Campos 2012-09-28 07:49:07 PDT
Comment on attachment 165889 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=165889&action=review

> Source/WebKit/gtk/GNUmakefile.am:84
> +	libWebCoreSVG.la \

Shouldn't we add this only if svg is enabled? does libWebCoreSVG.la exist when svg is disabled?

> Source/WebKit2/GNUmakefile.am:164
> +	libWebCoreSVG.la \

Ditto.
Comment 3 Gustavo Noronha (kov) 2012-11-13 06:04:47 PST
Comment on attachment 165889 [details]
Patch

Failed with pluginprocess, need further work.
Comment 4 Philippe Normand 2012-11-21 09:06:11 PST
Created attachment 175455 [details]
Rebased patch

The plugin process issue was about the .la order during link, the
WebCoreSVG lib needed symbols in the platform lib (well in the old
patch in WebCore) but it was listed too early in the dependency order.
Comment 5 Philippe Normand 2012-11-21 09:07:00 PST
Tested with a Debug 64-bit, youtube/flash works.
Comment 6 Philippe Normand 2012-11-21 09:08:08 PST
With wk2 I tested. Also a build without SVG worked.
Comment 7 Philippe Normand 2012-11-21 14:44:11 PST
I'd let cq or Gustavo land this if possible.
Comment 8 WebKit Review Bot 2012-11-22 00:10:58 PST
Comment on attachment 175455 [details]
Rebased patch

Rejecting attachment 175455 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
t of 9 hunks FAILED -- saving rejects to file Source/WebCore/GNUmakefile.list.am.rej
patching file Source/WebKit/gtk/ChangeLog
patching file Source/WebKit/gtk/GNUmakefile.am
patching file Source/WebKit2/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKit2/GNUmakefile.am
patch unexpectedly ends in middle of line

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Carlos Gar..." exit_code: 1 cwd: /mnt/git/webkit-commit-queue

Full output: http://queues.webkit.org/results/14965251
Comment 9 Gustavo Noronha (kov) 2012-11-22 13:09:14 PST
Committed r135538: <http://trac.webkit.org/changeset/135538>